function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : String(i); }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
import _lodash from 'lodash';
import dayjs from 'dayjs';
/**
 * 格式化同步前的数据
 */
export var formatSyncData = function formatSyncData(store) {
  return JSON.stringify({
    modalState: {
      client: store.modalState.client,
      date: store.modalState.date,
      pet: store.modalState.pet,
      notes: store.modalState.notes,
      contacts_info: store.modalState.contacts_info,
      service: {
        value: store.modalState.service.value
      }
    }
  });
};
function customizer(objValue, srcValue) {
  if (_lodash.isArray(objValue)) {
    return srcValue;
  }
}

/**
 * 将传递的数据和现有store进行合并
 */
export var mergeSyncData = function mergeSyncData(store, data) {
  var _data = typeof data === 'string' ? JSON.parse(data) : data;
  return _objectSpread(_objectSpread({}, store), {}, {
    modalState: _objectSpread(_objectSpread({}, store.modalState), {}, {
      client: _data.modalState.client,
      date: _objectSpread(_objectSpread({}, store.modalState.date), {}, {
        value: dayjs(_data.modalState.date.value)
      }),
      pet: _data.modalState.pet,
      notes: _data.modalState.notes,
      contacts_info: _data.modalState.contacts_info,
      service: _objectSpread(_objectSpread({}, store.modalState.service), {}, {
        value: _data.modalState.service.value.map(function (item) {
          return _objectSpread(_objectSpread({}, item), {}, {
            _extend: _objectSpread(_objectSpread({}, item._extend), {}, {
              start_date: dayjs(item._extend.start_date),
              startDate: dayjs(item._extend.startDate),
              endDate: dayjs(item._extend.endDate)
            })
          });
        })
      })
    })
  });
};